FreeMat

- Main Page
- Related Pages

vtkXMLDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLDataReader provides functionality common to all VTK XML file readers. Concrete subclasses call upon this functionality when needed.

To create an instance of class vtkXMLDataReader, simply invoke its constructor as follows

      obj = vtkXMLDataReader

# Methods

The class vtkXMLDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLDataReader = obj.NewInstance ()`
- `vtkXMLDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkIdType = obj.GetNumberOfPoints ()` - Get the number of points in the output.
- `vtkIdType = obj.GetNumberOfCells ()` - Get the number of cells in the output.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)`